curl --request POST \
--url https://api.example.com/api/ai/image/generation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "openai/dall-e-3",
"prompt": "A serene landscape with mountains and a lake at sunset"
}
'
import requests
url = "https://api.example.com/api/ai/image/generation"
payload = {
"model": "openai/dall-e-3",
"prompt": "A serene landscape with mountains and a lake at sunset"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'openai/dall-e-3',
prompt: 'A serene landscape with mountains and a lake at sunset'
})
};
fetch('https://api.example.com/api/ai/image/generation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/ai/image/generation"
payload := strings.NewReader("{\n \"model\": \"openai/dall-e-3\",\n \"prompt\": \"A serene landscape with mountains and a lake at sunset\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.example.com/api/ai/image/generation")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"openai/dall-e-3\",\n \"prompt\": \"A serene landscape with mountains and a lake at sunset\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/ai/image/generation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"openai/dall-e-3\",\n \"prompt\": \"A serene landscape with mountains and a lake at sunset\"\n}"
response = http.request(request)
puts response.read_body
{
"model": "<string>",
"images": [
{
"type": "image_url",
"image_url": {
"url": "<string>"
}
}
],
"text": "<string>",
"count": 123,
"metadata": {
"model": "<string>",
"revisedPrompt": "<string>",
"usage": {
"promptTokens": 123,
"completionTokens": 123,
"totalTokens": 123
}
},
"nextActions": "Images have been generated successfully. Use the returned URLs or base64 data to access them."
}
Client
Generate images (deprecated)
deprecated
Deprecated compatibility proxy. New integrations should use OpenRouter image-capable models directly with the provisioned OpenRouter key.
POST
/
api
/
ai
/
image
/
generation
Generate images (deprecated)
curl --request POST \
--url https://api.example.com/api/ai/image/generation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "openai/dall-e-3",
"prompt": "A serene landscape with mountains and a lake at sunset"
}
'
import requests
url = "https://api.example.com/api/ai/image/generation"
payload = {
"model": "openai/dall-e-3",
"prompt": "A serene landscape with mountains and a lake at sunset"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'openai/dall-e-3',
prompt: 'A serene landscape with mountains and a lake at sunset'
})
};
fetch('https://api.example.com/api/ai/image/generation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/ai/image/generation"
payload := strings.NewReader("{\n \"model\": \"openai/dall-e-3\",\n \"prompt\": \"A serene landscape with mountains and a lake at sunset\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.example.com/api/ai/image/generation")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"openai/dall-e-3\",\n \"prompt\": \"A serene landscape with mountains and a lake at sunset\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/ai/image/generation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"openai/dall-e-3\",\n \"prompt\": \"A serene landscape with mountains and a lake at sunset\"\n}"
response = http.request(request)
puts response.read_body
{
"model": "<string>",
"images": [
{
"type": "image_url",
"image_url": {
"url": "<string>"
}
}
],
"text": "<string>",
"count": 123,
"metadata": {
"model": "<string>",
"revisedPrompt": "<string>",
"usage": {
"promptTokens": 123,
"completionTokens": 123,
"totalTokens": 123
}
},
"nextActions": "Images have been generated successfully. Use the returned URLs or base64 data to access them."
}
"Images have been generated successfully. Use the returned URLs or base64 data to access them."
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"InsForge Docs","colors":{"primary":"#07C983","light":"#4ADE80","dark":"#059669"},"logo":{"light":"https://mintcdn.com/insforge-468ccf39/zmUpobGBlFjbnmEB/logo/light.svg?fit=max\u0026auto=format\u0026n=zmUpobGBlFjbnmEB\u0026q=85\u0026s=209341b17ebf95d46e1ef58da387ebbe","dark":"https://mintcdn.com/insforge-468ccf39/214YR-PipW-bJ_2V/logo/dark.svg?fit=max\u0026auto=format\u0026n=214YR-PipW-bJ_2V\u0026q=85\u0026s=ec73d468316a98fadf0d6ac731de3040","href":"https://insforge.dev"},"favicon":"https://mintcdn.com/insforge-468ccf39/UjZmtHgw_AnKpRxW/favicon.png?fit=max\u0026auto=format\u0026n=UjZmtHgw_AnKpRxW\u0026q=85\u0026s=2e75e48a731a89fac5878538e29d4df6","appearance":{"default":"dark"},"navbar":{"primary":{"type":"button","label":"Get Started","href":"https://insforge.dev/auth/sign-up"}},"footer":{"socials":{"x":"https://x.com/InsForge_dev","github":"https://github.com/InsForge/InsForge","linkedin":"https://linkedin.com/company/insforge"}},"search":{"prompt":"Search InsForge docs..."},"seo":{"metatags":{"og:site_name":"InsForge Docs","google-site-verification":"2dSsr0kxw61j9-qSOR0a1dq1PT6U1-2o3kiZMdsIf9g"},"indexing":"navigable"},"styling":{"eyebrows":"section","latex":true},"integrations":{"posthog":{"apiKey":"phc_ueV1ii62wdBTkH7E70ugyeqHIHu8dFDdjs0qq3TZhJz","sessionRecording":false}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"navigation":{"global":{"anchors":[{"anchor":"Community","icon":"discord","href":"https://discord.gg/MPxwj5xVvW"},{"anchor":"Blog","icon":"newspaper","href":"https://insforge.dev/blog"},{"anchor":"Roadmap","icon":"route","href":"https://feedback.insforge.dev/roadmap"},{"anchor":"GitHub","icon":"github","href":"https://github.com/InsForge/InsForge"}]},"languages":[{"language":"en","default":true,"href":"introduction"},{"language":"zh","href":"zh/introduction"},{"language":"zh-Hant","href":"zh-Hant/introduction"},{"language":"es","href":"es/introduction"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"insforge-468ccf39","hasAudioNarration":false,"actualSubdomain":"insforge-468ccf39","customDomains":["docs.insforge.dev"],"gitSource":{"type":"github","owner":"insforge","repo":"insforge","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"feedback":{"agentFeedback":true,"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6adc3a7c05cea914c55c3b64","clientVersion":"0.0.4117","searchFilterCounts":[{"language":"default","tag":"API Reference","count":213},{"language":"default","tag":"Admin","count":95},{"language":"default","tag":"Authentication","count":49},{"language":"default","tag":"Client","count":47},{"language":"default","tag":"Payments","count":47},{"language":"en","tag":"Docs","count":44},{"language":"es","tag":"Documentación","count":43},{"language":"zh-Hant","tag":"文件","count":43},{"language":"zh","tag":"文档","count":43},{"language":"en","tag":"SDK \u0026 Examples","count":38},{"language":"es","tag":"SDK y ejemplos","count":38},{"language":"zh-Hant","tag":"SDK 與範例","count":38},{"language":"zh","tag":"SDK 与示例","count":38},{"language":"default","tag":"Storage","count":25},{"language":"default","tag":"Stripe Payments","count":23},{"language":"default","tag":"Razorpay Payments","count":22},{"language":"en","tag":"Products","count":20},{"language":"es","tag":"Products","count":20},{"language":"zh-Hant","tag":"Products","count":20},{"language":"zh","tag":"Products","count":20},{"language":"default","tag":"Deployments","count":18},{"language":"en","tag":"TypeScript","count":16},{"language":"es","tag":"TypeScript","count":16},{"language":"zh-Hant","tag":"TypeScript","count":16},{"language":"zh","tag":"TypeScript","count":16},{"language":"default","tag":"Realtime","count":11},{"language":"en","tag":"Self-Hosting","count":8},{"language":"en","tag":"Kotlin","count":7},{"language":"en","tag":"REST API","count":7},{"language":"en","tag":"Swift","count":7},{"language":"es","tag":"Self-Hosting","count":7},{"language":"es","tag":"Kotlin","count":7},{"language":"es","tag":"REST API","count":7},{"language":"es","tag":"Swift","count":7},{"language":"zh-Hant","tag":"Self-Hosting","count":7},{"language":"zh-Hant","tag":"Kotlin","count":7},{"language":"zh-Hant","tag":"REST API","count":7},{"language":"zh-Hant","tag":"Swift","count":7},{"language":"zh","tag":"Self-Hosting","count":7},{"language":"zh","tag":"Kotlin","count":7},{"language":"zh","tag":"REST API","count":7},{"language":"zh","tag":"Swift","count":7},{"language":"en","tag":"Agent-Native Initiatives","count":6},{"language":"en","tag":"Payments","count":6},{"language":"es","tag":"Agent-Native Initiatives","count":6},{"language":"es","tag":"Pagos","count":6},{"language":"zh-Hant","tag":"Agent-Native Initiatives","count":6},{"language":"zh-Hant","tag":"金流","count":6},{"language":"zh","tag":"Agent-Native Initiatives","count":6},{"language":"zh","tag":"支付","count":6}]},"assistantConfig":{"enableStarterQuestions":false,"deflection":{"enabled":true,"email":"support@insforge.dev","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/client/generate-images-deprecated","slug":"/api-reference/client/generate-images-deprecated","pageMetadata":{"title":"Generate images (deprecated)","description":"Deprecated compatibility proxy. New integrations should use OpenRouter image-capable models directly with the provisioned OpenRouter key.","deprecated":true,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/ai.yaml post /api/ai/image/generation","href":"/api-reference/client/generate-images-deprecated","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Deprecated compatibility proxy. New integrations should use OpenRouter image-capable models directly with the provisioned OpenRouter key.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Generate images (deprecated)","description":"Deprecated compatibility proxy. New integrations should use OpenRouter image-capable models directly with the provisioned OpenRouter key.","deprecated":true,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/ai.yaml post /api/ai/image/generation","href":"/api-reference/client/generate-images-deprecated","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Generate images (deprecated)","deprecated":true,"description":"Deprecated compatibility proxy. New integrations should use OpenRouter image-capable models directly with the provisioned OpenRouter key.","tags":["Client"],"security":["68db2811-828a-494e-93df-0165043cbdf2"],"requestBody":"d8767986-3a5f-432e-b30d-5ec8dc342e50","responses":{"200":"e605b612-f4db-4ec8-b084-e7e88115bd5b","400":"0168ad4a-55af-4d7c-be44-0f8aac80978b","401":"7359c3c5-415c-47e4-a395-28b1b1a92a0a","500":"718e1692-6837-48d0-b497-7604fa799a2f"},"method":"post","type":"path","servers":[],"path":"/api/ai/image/generation","baseUrlOptions":[],"title":"Generate images (deprecated)","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["model","prompt"],"properties":{"model":{"type":"string","description":"OpenRouter model identifier for image generation","example":"openai/dall-e-3","isRequired":true,"uniqueKey":"model","typeLabel":"string"},"prompt":{"type":"string","description":"Text prompt describing the desired image","example":"A serene landscape with mountains and a lake at sunset","isRequired":true,"uniqueKey":"prompt","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"model":"openai/dall-e-3","prompt":"A serene landscape with mountains and a lake at sunset"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"e605b612-f4db-4ec8-b084-e7e88115bd5b":{"description":"Images generated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"Model used for generation","uniqueKey":"model","typeLabel":"string"},"images":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["image_url"],"uniqueKey":"images.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"image_url":{"type":"object","properties":{"url":{"type":"string","description":"Can be a direct URL or data:image base64 URL","uniqueKey":"images.items.[INDEX].image_url.url","typeLabel":"string"}},"uniqueKey":"images.items.[INDEX].image_url","typeLabel":"object"}},"uniqueKey":"images.items.[INDEX]","typeLabel":"object"},"uniqueKey":"images","typeLabel":"object[]"},"text":{"type":"string","description":"Text content from multimodal models","uniqueKey":"text","typeLabel":"string"},"count":{"type":"integer","description":"Number of images generated","uniqueKey":"count","typeLabel":"integer"},"metadata":{"type":"object","properties":{"model":{"type":"string","uniqueKey":"metadata.model","typeLabel":"string"},"revisedPrompt":{"type":"string","uniqueKey":"metadata.revisedPrompt","typeLabel":"string"},"usage":{"type":"object","properties":{"promptTokens":{"type":"integer","uniqueKey":"metadata.usage.promptTokens","typeLabel":"integer"},"completionTokens":{"type":"integer","uniqueKey":"metadata.usage.completionTokens","typeLabel":"integer"},"totalTokens":{"type":"integer","uniqueKey":"metadata.usage.totalTokens","typeLabel":"integer"}},"uniqueKey":"metadata.usage","typeLabel":"object"}},"uniqueKey":"metadata","typeLabel":"object"},"nextActions":{"type":"string","example":"Images have been generated successfully. Use the returned URLs or base64 data to access them.","uniqueKey":"nextActions","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"model":"\u003cstring>","images":[{"type":"image_url","image_url":{"url":"\u003cstring>"}}],"text":"\u003cstring>","count":123,"metadata":{"model":"\u003cstring>","revisedPrompt":"\u003cstring>","usage":{"promptTokens":123,"completionTokens":123,"totalTokens":123}},"nextActions":"Images have been generated successfully. Use the returned URLs or base64 data to access them."}}},"exampleType":"generated"}},"exampleType":"generated"},"0168ad4a-55af-4d7c-be44-0f8aac80978b":{"description":"Invalid request - missing model or prompt","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"7359c3c5-415c-47e4-a395-28b1b1a92a0a":{"description":"Unauthorized","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"718e1692-6837-48d0-b497-7604fa799a2f":{"description":"Failed to generate image","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"68db2811-828a-494e-93df-0165043cbdf2":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[]}}},"servers":{},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/ai.yaml"},"subdomain":"insforge-468ccf39","siteName":"InsForge Docs","title":"Generate images (deprecated) - InsForge Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/api-reference/client/generate-images-deprecated","matchLevel":0},"zh":{"href":"/api-reference/client/generate-images-deprecated","matchLevel":0},"zh-Hant":{"href":"/api-reference/client/generate-images-deprecated","matchLevel":0},"es":{"href":"/api-reference/client/generate-images-deprecated","matchLevel":0}}},"lastModified":"2026-07-21T00:25:36.654Z","originalFileLocation":"api-reference/client/generate-images-deprecated.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Deprecated compatibility proxy. New integrations should use OpenRouter image-capable models directly with the provisioned OpenRouter key.\">\u003cmeta data-mint-head name=\"application-name\" content=\"InsForge Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/insforge-468ccf39/a9Cgld7YYxRWEtOm/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/insforge-468ccf39/a9Cgld7YYxRWEtOm/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/insforge-468ccf39/a9Cgld7YYxRWEtOm/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/insforge-468ccf39/a9Cgld7YYxRWEtOm/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/insforge-468ccf39/a9Cgld7YYxRWEtOm/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/insforge-468ccf39/a9Cgld7YYxRWEtOm/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/insforge-468ccf39/a9Cgld7YYxRWEtOm/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/insforge-468ccf39/a9Cgld7YYxRWEtOm/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/insforge-468ccf39/a9Cgld7YYxRWEtOm/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Generate images (deprecated) - InsForge Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Deprecated compatibility proxy. New integrations should use OpenRouter image-capable models directly with the provisioned OpenRouter key.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"InsForge Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.insforge.dev/api-reference/client/generate-images-deprecated\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://insforge-468ccf39.mintlify.site/_mintlify/api/og/v2?division=Client\u0026amp;title=Generate+images+%28deprecated%29\u0026amp;description=Deprecated+compatibility+proxy.+New+integrations+should+use+OpenRouter+image-capable+models+directly+with+the+provisioned+OpenRouter+key.\u0026amp;theme=6a0ea135cc082016d20c576e\u0026amp;signature=072907b903a8f00c00abd72fa7741e327fb1bc32e3c4d1708e7f430ab4bafc79\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Generate images (deprecated) - InsForge Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Deprecated compatibility proxy. New integrations should use OpenRouter image-capable models directly with the provisioned OpenRouter key.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://insforge-468ccf39.mintlify.site/_mintlify/api/og/v2?division=Client\u0026amp;title=Generate+images+%28deprecated%29\u0026amp;description=Deprecated+compatibility+proxy.+New+integrations+should+use+OpenRouter+image-capable+models+directly+with+the+provisioned+OpenRouter+key.\u0026amp;theme=6a0ea135cc082016d20c576e\u0026amp;signature=072907b903a8f00c00abd72fa7741e327fb1bc32e3c4d1708e7f430ab4bafc79\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/insforge-468ccf39/a9Cgld7YYxRWEtOm/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"InsForge Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#07C983\">\u003cmeta data-mint-head name=\"google-site-verification\" content=\"2dSsr0kxw61j9-qSOR0a1dq1PT6U1-2o3kiZMdsIf9g\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.insforge.dev/api-reference/client/generate-images-deprecated\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/client/generate-images-deprecated.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.insforge.dev/#organization\",\"name\":\"InsForge Docs\",\"url\":\"https://docs.insforge.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/insforge-468ccf39/zmUpobGBlFjbnmEB/logo/light.svg?fit=max\u0026auto=format\u0026n=zmUpobGBlFjbnmEB\u0026q=85\u0026s=209341b17ebf95d46e1ef58da387ebbe\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.insforge.dev#website\",\"name\":\"InsForge Docs\",\"url\":\"https://docs.insforge.dev\",\"publisher\":{\"@id\":\"https://docs.insforge.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.insforge.dev/api-reference/client/generate-images-deprecated#webpage\",\"url\":\"https://docs.insforge.dev/api-reference/client/generate-images-deprecated\",\"name\":\"Generate images (deprecated)\",\"description\":\"Deprecated compatibility proxy. New integrations should use OpenRouter image-capable models directly with the provisioned OpenRouter key.\",\"dateModified\":\"2026-07-21T00:25:36.654Z\",\"isPartOf\":{\"@id\":\"https://docs.insforge.dev#website\"},\"breadcrumb\":{\"@id\":\"https://docs.insforge.dev/api-reference/client/generate-images-deprecated#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.insforge.dev/api-reference/client/generate-images-deprecated#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Model Gateway\",\"item\":\"https://docs.insforge.dev/api-reference/admin/get-model-gateway-credential-configuration\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Client\",\"item\":\"https://docs.insforge.dev/api-reference/client/generate-chat-completion-deprecated\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Generate images (deprecated)\",\"item\":\"https://docs.insforge.dev/api-reference/client/generate-images-deprecated\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.insforge.dev/api-reference/client/generate-images-deprecated#apireference\",\"headline\":\"Generate images (deprecated)\",\"name\":\"Generate images (deprecated)\",\"description\":\"Deprecated compatibility proxy. New integrations should use OpenRouter image-capable models directly with the provisioned OpenRouter key.\",\"url\":\"https://docs.insforge.dev/api-reference/client/generate-images-deprecated\",\"mainEntityOfPage\":{\"@id\":\"https://docs.insforge.dev/api-reference/client/generate-images-deprecated#webpage\"},\"dateModified\":\"2026-07-21T00:25:36.654Z\",\"publisher\":{\"@id\":\"https://docs.insforge.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.insforge.dev#website\"}}]}\u003c/script>","agentPointerHref":"/api-reference/client/generate-images-deprecated.md","siteName":"InsForge Docs","nav":{"global":{"anchors":[{"anchor":"Community","icon":"discord","href":"https://discord.gg/MPxwj5xVvW"},{"anchor":"Blog","icon":"newspaper","href":"https://insforge.dev/blog"},{"anchor":"Roadmap","icon":"route","href":"https://feedback.insforge.dev/roadmap"},{"anchor":"GitHub","icon":"github","href":"https://github.com/InsForge/InsForge"}]},"languages":[{"language":"en","default":true,"tabs":[{"tab":"Docs","pages":[{"title":"Docs","href":"/introduction"}]},{"tab":"SDK \u0026 Examples","pages":[{"title":"SDK \u0026 Examples","href":"/sdks/typescript/overview"}]},{"tab":"API Reference","groups":[{"group":"Tables","pages":[{"group":"Admin","pages":[{"title":"List Tables","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/tables.yaml get /api/database/tables","href":"/api-reference/admin/list-tables"},{"title":"Create Table","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/tables.yaml post /api/database/tables","href":"/api-reference/admin/create-table"},{"title":"Get Table Schema","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/tables.yaml get /api/database/tables/{tableName}/schema","href":"/api-reference/admin/get-table-schema"},{"title":"Update Table Schema","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/tables.yaml patch /api/database/tables/{tableName}/schema","href":"/api-reference/admin/update-table-schema"},{"title":"Delete Table","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/tables.yaml delete /api/database/tables/{tableName}","href":"/api-reference/admin/delete-table"},{"title":"List Database Migrations","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/tables.yaml get /api/database/migrations","href":"/api-reference/admin/list-database-migrations"},{"title":"Create and Execute Database Migration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/tables.yaml post /api/database/migrations","href":"/api-reference/admin/create-and-execute-database-migration"}]}]},{"group":"Schedules","pages":[{"group":"Admin","pages":[{"title":"List schedules","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/schedules.yaml get /api/schedules","href":"/api-reference/admin/list-schedules"},{"title":"Create schedule","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/schedules.yaml post /api/schedules","href":"/api-reference/admin/create-schedule"},{"title":"Get schedules configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/schedules.yaml get /api/schedules/config","href":"/api-reference/admin/get-schedules-configuration"},{"title":"Update schedules configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/schedules.yaml patch /api/schedules/config","href":"/api-reference/admin/update-schedules-configuration"},{"title":"Get schedule by ID","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/schedules.yaml get /api/schedules/{id}","href":"/api-reference/admin/get-schedule-by-id"},{"title":"Delete schedule","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/schedules.yaml delete /api/schedules/{id}","href":"/api-reference/admin/delete-schedule"},{"title":"Update schedule","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/schedules.yaml patch /api/schedules/{id}","href":"/api-reference/admin/update-schedule"},{"title":"Get execution logs for a schedule","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/schedules.yaml get /api/schedules/{id}/logs","href":"/api-reference/admin/get-execution-logs-for-a-schedule"}]}]},{"group":"Authentication","pages":[{"group":"Client","pages":[{"title":"Get public authentication configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/public-config","href":"/api-reference/client/get-public-authentication-configuration"},{"title":"Update current user's profile","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml patch /api/auth/profiles/current","href":"/api-reference/client/update-current-users-profile"},{"title":"Get user profile by ID","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/profiles/{userId}","href":"/api-reference/client/get-user-profile-by-id"},{"title":"Register new user","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/users","href":"/api-reference/client/register-new-user"},{"title":"User login","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/sessions","href":"/api-reference/client/user-login"},{"title":"Refresh access token","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/refresh","href":"/api-reference/client/refresh-access-token"},{"title":"Logout user","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/logout","href":"/api-reference/client/logout-user"},{"title":"Get current session","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/sessions/current","href":"/api-reference/client/get-current-session"},{"title":"Send an email sign-in OTP","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/email/send-otp","href":"/api-reference/client/send-an-email-sign-in-otp"},{"title":"Send email verification (code or link based on config)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/email/send-verification","href":"/api-reference/client/send-email-verification-code-or-link-based-on-config"},{"title":"Verify email from browser link click","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/email/verify-link","href":"/api-reference/client/verify-email-from-browser-link-click"},{"title":"Verify email with code","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/email/verify","href":"/api-reference/client/verify-email-with-code"},{"title":"Send password reset (code or link based on config)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/email/send-reset-password","href":"/api-reference/client/send-password-reset-code-or-link-based-on-config"},{"title":"Exchange reset password code for reset token","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/email/exchange-reset-password-token","href":"/api-reference/client/exchange-reset-password-code-for-reset-token"},{"title":"Open password reset flow from browser link click","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/email/reset-password-link","href":"/api-reference/client/open-password-reset-flow-from-browser-link-click"},{"title":"Reset password with token","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/email/reset-password","href":"/api-reference/client/reset-password-with-token"},{"title":"Initiate OAuth flow (PKCE)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/oauth/{provider}","href":"/api-reference/client/initiate-oauth-flow-pkce"},{"title":"Exchange OAuth code for tokens (PKCE)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/oauth/exchange","href":"/api-reference/client/exchange-oauth-code-for-tokens-pkce"},{"title":"Shared OAuth callback handler","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/oauth/shared/callback/{state}","href":"/api-reference/client/shared-oauth-callback-handler"},{"title":"Provider-specific OAuth callback (GET)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/oauth/{provider}/callback","href":"/api-reference/client/provider-specific-oauth-callback-get"},{"title":"Provider-specific OAuth callback (POST)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/oauth/{provider}/callback","href":"/api-reference/client/provider-specific-oauth-callback-post"},{"title":"Initiate custom OAuth flow (PKCE)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/oauth/custom/{key}","href":"/api-reference/client/initiate-custom-oauth-flow-pkce"},{"title":"Custom OAuth callback (GET)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/oauth/custom/{key}/callback","href":"/api-reference/client/custom-oauth-callback-get"},{"title":"Sign in with a native provider ID token","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/id-token","href":"/api-reference/client/sign-in-with-a-native-provider-id-token"}]},{"group":"Admin","pages":[{"title":"Get authentication configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/config","href":"/api-reference/admin/get-authentication-configuration"},{"title":"Update authentication configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml put /api/auth/config","href":"/api-reference/admin/update-authentication-configuration"},{"title":"List all users (admin only)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/users","href":"/api-reference/admin/list-all-users-admin-only"},{"title":"Delete users (admin only)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml delete /api/auth/users","href":"/api-reference/admin/delete-users-admin-only"},{"title":"Get specific user","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/users/{userId}","href":"/api-reference/admin/get-specific-user"},{"title":"Admin login","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/admin/sessions","href":"/api-reference/admin/admin-login"},{"title":"Exchange cloud provider authorization code for admin session","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/admin/sessions/exchange","href":"/api-reference/admin/exchange-cloud-provider-authorization-code-for-admin-session"},{"title":"Refresh admin dashboard access token","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/admin/refresh","href":"/api-reference/admin/refresh-admin-dashboard-access-token"},{"title":"Logout admin dashboard session","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/admin/logout","href":"/api-reference/admin/logout-admin-dashboard-session"},{"title":"Get anon key (deprecated)","deprecated":true,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/tokens/anon","href":"/api-reference/admin/get-anon-key-deprecated"},{"title":"List all OAuth configurations","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/oauth/configs","href":"/api-reference/admin/list-all-oauth-configurations"},{"title":"Create OAuth configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/oauth/configs","href":"/api-reference/admin/create-oauth-configuration"},{"title":"Get OAuth configuration for specific provider","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/oauth/{provider}/config","href":"/api-reference/admin/get-oauth-configuration-for-specific-provider"},{"title":"Update OAuth configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml put /api/auth/oauth/{provider}/config","href":"/api-reference/admin/update-oauth-configuration"},{"title":"Delete OAuth configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml delete /api/auth/oauth/{provider}/config","href":"/api-reference/admin/delete-oauth-configuration"},{"title":"List all custom OAuth configurations","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/oauth/custom/configs","href":"/api-reference/admin/list-all-custom-oauth-configurations"},{"title":"Create custom OAuth configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/oauth/custom/configs","href":"/api-reference/admin/create-custom-oauth-configuration"},{"title":"Get custom OAuth configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/oauth/custom/{key}/config","href":"/api-reference/admin/get-custom-oauth-configuration"},{"title":"Update custom OAuth configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml put /api/auth/oauth/custom/{key}/config","href":"/api-reference/admin/update-custom-oauth-configuration"},{"title":"Delete custom OAuth configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml delete /api/auth/oauth/custom/{key}/config","href":"/api-reference/admin/delete-custom-oauth-configuration"},{"title":"Get current admin session","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/admin/sessions/current","href":"/api-reference/admin/get-current-admin-session"},{"title":"Get SMTP configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/smtp-config","href":"/api-reference/admin/get-smtp-configuration"},{"title":"Update SMTP configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml put /api/auth/smtp-config","href":"/api-reference/admin/update-smtp-configuration"},{"title":"Get all email templates","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/email-templates","href":"/api-reference/admin/get-all-email-templates"},{"title":"Update email template","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml put /api/auth/email-templates/{type}","href":"/api-reference/admin/update-email-template"}]}]},{"group":"Records","pages":[{"group":"Client","pages":[{"title":"Query Records","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/records.yaml get /api/database/records/{tableName}","href":"/api-reference/client/query-records"},{"title":"Create Records","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/records.yaml post /api/database/records/{tableName}","href":"/api-reference/client/create-records"},{"title":"Delete Records","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/records.yaml delete /api/database/records/{tableName}","href":"/api-reference/client/delete-records"},{"title":"Update Records","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/records.yaml patch /api/database/records/{tableName}","href":"/api-reference/client/update-records"}]}]},{"group":"Storage","pages":[{"group":"Admin","pages":[{"title":"Get storage configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml get /api/storage/config","href":"/api-reference/admin/get-storage-configuration"},{"title":"Update storage configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml put /api/storage/config","href":"/api-reference/admin/update-storage-configuration"},{"title":"List All Buckets","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml get /api/storage/buckets","href":"/api-reference/admin/list-all-buckets"},{"title":"Create New Bucket","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml post /api/storage/buckets","href":"/api-reference/admin/create-new-bucket"},{"title":"Delete Bucket","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml delete /api/storage/buckets/{bucketName}","href":"/api-reference/admin/delete-bucket"},{"title":"Update Bucket","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml patch /api/storage/buckets/{bucketName}","href":"/api-reference/admin/update-bucket"},{"title":"List Objects in Bucket","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml get /api/storage/buckets/{bucketName}/objects","href":"/api-reference/admin/list-objects-in-bucket"}]},{"group":"Client","pages":[{"title":"Upload Object with Auto-Generated Key","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml post /api/storage/buckets/{bucketName}/objects","href":"/api-reference/client/upload-object-with-auto-generated-key"},{"title":"Delete Multiple Objects","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml delete /api/storage/buckets/{bucketName}/objects","href":"/api-reference/client/delete-multiple-objects"},{"title":"Get Upload Strategy (Direct or Presigned URL)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml post /api/storage/buckets/{bucketName}/upload-strategy","href":"/api-reference/client/get-upload-strategy-direct-or-presigned-url"},{"title":"Download Object","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml get /api/storage/buckets/{bucketName}/objects/{objectKey}","href":"/api-reference/client/download-object"},{"title":"Upload Object","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml put /api/storage/buckets/{bucketName}/objects/{objectKey}","href":"/api-reference/client/upload-object"},{"title":"Delete Object","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml delete /api/storage/buckets/{bucketName}/objects/{objectKey}","href":"/api-reference/client/delete-object"},{"title":"Confirm Presigned Upload","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml post /api/storage/buckets/{bucketName}/objects/{objectKey}/confirm-upload","href":"/api-reference/client/confirm-presigned-upload"},{"title":"Get Download Strategy (Direct or Presigned URL)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml get /api/storage/buckets/{bucketName}/download-strategy/objects/{objectKey}","href":"/api-reference/client/get-download-strategy-direct-or-presigned-url"},{"title":"Get Download Strategy (Deprecated — use GET on the canonical path)","deprecated":true,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml post /api/storage/buckets/{bucketName}/objects/{objectKey}/download-strategy","href":"/api-reference/client/get-download-strategy-deprecated-—-use-get-on-the-canonical-path"}]},{"group":"S3 Access Keys","pages":[{"title":"Get S3 Gateway Config","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml get /api/storage/s3/config","href":"/api-reference/s3-access-keys/get-s3-gateway-config"},{"title":"List S3 Access Keys","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml get /api/storage/s3/access-keys","href":"/api-reference/s3-access-keys/list-s3-access-keys"},{"title":"Create S3 Access Key","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml post /api/storage/s3/access-keys","href":"/api-reference/s3-access-keys/create-s3-access-key"},{"title":"Revoke S3 Access Key","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml delete /api/storage/s3/access-keys/{id}","href":"/api-reference/s3-access-keys/revoke-s3-access-key"}]},{"group":"S3 Protocol","pages":[{"title":"S3 protocol (GET)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml get /storage/v1/s3/{path}","href":"/api-reference/s3-protocol/s3-protocol-get"},{"title":"S3 protocol (PUT)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml put /storage/v1/s3/{path}","href":"/api-reference/s3-protocol/s3-protocol-put"},{"title":"S3 protocol (POST)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml post /storage/v1/s3/{path}","href":"/api-reference/s3-protocol/s3-protocol-post"},{"title":"S3 protocol (DELETE)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml delete /storage/v1/s3/{path}","href":"/api-reference/s3-protocol/s3-protocol-delete"},{"title":"S3 protocol (HEAD)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/storage.yaml head /storage/v1/s3/{path}","href":"/api-reference/s3-protocol/s3-protocol-head"}]}]},{"group":"Model Gateway","pages":[{"group":"Admin","pages":[{"title":"Get Model Gateway credential configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/ai.yaml get /api/ai/config","href":"/api-reference/admin/get-model-gateway-credential-configuration"},{"title":"Update Model Gateway credentials","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/ai.yaml put /api/ai/config","href":"/api-reference/admin/update-model-gateway-credentials"},{"title":"Get all available AI models","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/ai.yaml get /api/ai/models","href":"/api-reference/admin/get-all-available-ai-models"},{"title":"Get Model Gateway overview","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/ai.yaml get /api/ai/overview","href":"/api-reference/admin/get-model-gateway-overview"},{"title":"Get active provider API key","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/ai.yaml get /api/ai/{provider}/api-key","href":"/api-reference/admin/get-active-provider-api-key"},{"title":"Rotate provider API key","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/ai.yaml post /api/ai/{provider}/api-key/rotate","href":"/api-reference/admin/rotate-provider-api-key"}]},{"group":"Client","pages":[{"title":"Generate chat completion (deprecated)","description":"Deprecated compatibility proxy. New integrations should call https://openrouter.ai/api/v1/chat/completions directly with the provisioned OpenRouter key.","deprecated":true,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/ai.yaml post /api/ai/chat/completion","href":"/api-reference/client/generate-chat-completion-deprecated"},{"title":"Generate images (deprecated)","deprecated":true,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/ai.yaml post /api/ai/image/generation","href":"/api-reference/client/generate-images-deprecated"},{"title":"Generate embeddings (deprecated)","description":"Deprecated compatibility proxy. New integrations should call https://openrouter.ai/api/v1/embeddings directly with the provisioned OpenRouter key.","deprecated":true,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/ai.yaml post /api/ai/embeddings","href":"/api-reference/client/generate-embeddings-deprecated"}]}]},{"group":"Functions","pages":[{"group":"Admin","pages":[{"title":"List all functions","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/functions.yaml get /api/functions","href":"/api-reference/admin/list-all-functions"},{"title":"Create new function","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/functions.yaml post /api/functions","href":"/api-reference/admin/create-new-function"},{"title":"Get function details","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/functions.yaml get /api/functions/{slug}","href":"/api-reference/admin/get-function-details"},{"title":"Update function","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/functions.yaml put /api/functions/{slug}","href":"/api-reference/admin/update-function"},{"title":"Delete function","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/functions.yaml delete /api/functions/{slug}","href":"/api-reference/admin/delete-function"}]},{"group":"Client","pages":[{"title":"Execute function (GET)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/functions.yaml get /functions/{slug}","href":"/api-reference/client/execute-function-get"},{"title":"Execute function (PUT)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/functions.yaml put /functions/{slug}","href":"/api-reference/client/execute-function-put"},{"title":"Execute function (POST)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/functions.yaml post /functions/{slug}","href":"/api-reference/client/execute-function-post"},{"title":"Execute function (DELETE)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/functions.yaml delete /functions/{slug}","href":"/api-reference/client/execute-function-delete"},{"title":"Execute function (PATCH)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/functions.yaml patch /functions/{slug}","href":"/api-reference/client/execute-function-patch"}]}]},{"group":"Realtime","pages":[{"group":"Channels","pages":[{"title":"List All Channels","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/realtime.yaml get /api/realtime/channels","href":"/api-reference/channels/list-all-channels"},{"title":"Create Channel","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/realtime.yaml post /api/realtime/channels","href":"/api-reference/channels/create-channel"},{"title":"Get Channel by ID","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/realtime.yaml get /api/realtime/channels/{id}","href":"/api-reference/channels/get-channel-by-id"},{"title":"Update Channel","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/realtime.yaml put /api/realtime/channels/{id}","href":"/api-reference/channels/update-channel"},{"title":"Delete Channel","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/realtime.yaml delete /api/realtime/channels/{id}","href":"/api-reference/channels/delete-channel"}]},{"group":"Messages","pages":[{"title":"List Messages","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/realtime.yaml get /api/realtime/messages","href":"/api-reference/messages/list-messages"},{"title":"Clear Messages","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/realtime.yaml delete /api/realtime/messages","href":"/api-reference/messages/clear-messages"},{"title":"Get Message Statistics","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/realtime.yaml get /api/realtime/messages/stats","href":"/api-reference/messages/get-message-statistics"}]},{"group":"Permissions","pages":[{"title":"Get Realtime Permissions","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/realtime.yaml get /api/realtime/permissions","href":"/api-reference/permissions/get-realtime-permissions"}]},{"group":"Configuration","pages":[{"title":"Get Realtime Config","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/realtime.yaml get /api/realtime/config","href":"/api-reference/configuration/get-realtime-config"},{"title":"Update Realtime Config","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/realtime.yaml patch /api/realtime/config","href":"/api-reference/configuration/update-realtime-config"}]}]},{"group":"Messaging","pages":[{"group":"Client","pages":[{"title":"Send raw HTML email","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/email.yaml post /api/email/send-raw","href":"/api-reference/client/send-raw-html-email"}]}]},{"group":"Payments","pages":[{"group":"Stripe Payments","pages":[{"title":"Create Stripe Checkout Session","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/stripe/{environment}/checkout-sessions","href":"/api-reference/stripe-payments/create-stripe-checkout-session"},{"title":"Create Stripe Customer Portal Session","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/stripe/{environment}/customer-portal-sessions","href":"/api-reference/stripe-payments/create-stripe-customer-portal-session"},{"title":"Get Stripe Payments Status","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/stripe/status","href":"/api-reference/stripe-payments/get-stripe-payments-status"},{"title":"Get Stripe Key Configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/stripe/config","href":"/api-reference/stripe-payments/get-stripe-key-configuration"},{"title":"Configure Stripe Secret Key","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml put /api/payments/stripe/{environment}/config","href":"/api-reference/stripe-payments/configure-stripe-secret-key"},{"title":"Remove Stripe Secret Key","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml delete /api/payments/stripe/{environment}/config","href":"/api-reference/stripe-payments/remove-stripe-secret-key"},{"title":"Sync Stripe Payments State","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/stripe/sync","href":"/api-reference/stripe-payments/sync-stripe-payments-state"},{"title":"Sync Stripe Payments State For One Environment","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/stripe/{environment}/sync","href":"/api-reference/stripe-payments/sync-stripe-payments-state-for-one-environment"},{"title":"Configure Managed Stripe Webhook","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/stripe/{environment}/webhook","href":"/api-reference/stripe-payments/configure-managed-stripe-webhook"},{"title":"List Stripe Catalog","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/stripe/{environment}/catalog","href":"/api-reference/stripe-payments/list-stripe-catalog"},{"title":"List Stripe Products","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/stripe/{environment}/catalog/products","href":"/api-reference/stripe-payments/list-stripe-products"},{"title":"Create Stripe Product","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/stripe/{environment}/catalog/products","href":"/api-reference/stripe-payments/create-stripe-product"},{"title":"Get Stripe Product","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/stripe/{environment}/catalog/products/{productId}","href":"/api-reference/stripe-payments/get-stripe-product"},{"title":"Delete Stripe Product","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml delete /api/payments/stripe/{environment}/catalog/products/{productId}","href":"/api-reference/stripe-payments/delete-stripe-product"},{"title":"Update Stripe Product","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml patch /api/payments/stripe/{environment}/catalog/products/{productId}","href":"/api-reference/stripe-payments/update-stripe-product"},{"title":"List Stripe Prices","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/stripe/{environment}/catalog/prices","href":"/api-reference/stripe-payments/list-stripe-prices"},{"title":"Create Stripe Price","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/stripe/{environment}/catalog/prices","href":"/api-reference/stripe-payments/create-stripe-price"},{"title":"Get Stripe Price","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/stripe/{environment}/catalog/prices/{priceId}","href":"/api-reference/stripe-payments/get-stripe-price"},{"title":"Archive Stripe Price","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml delete /api/payments/stripe/{environment}/catalog/prices/{priceId}","href":"/api-reference/stripe-payments/archive-stripe-price"},{"title":"Update Stripe Price","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml patch /api/payments/stripe/{environment}/catalog/prices/{priceId}","href":"/api-reference/stripe-payments/update-stripe-price"},{"title":"List Stripe Subscriptions","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/stripe/{environment}/subscriptions","href":"/api-reference/stripe-payments/list-stripe-subscriptions"},{"title":"List Stripe Customers","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/stripe/{environment}/customers","href":"/api-reference/stripe-payments/list-stripe-customers"},{"title":"List Stripe Transactions","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/stripe/{environment}/transactions","href":"/api-reference/stripe-payments/list-stripe-transactions"}]},{"group":"Razorpay Payments","pages":[{"title":"Get Razorpay Payments Status","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/razorpay/status","href":"/api-reference/razorpay-payments/get-razorpay-payments-status"},{"title":"Get Razorpay Key Configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/razorpay/config","href":"/api-reference/razorpay-payments/get-razorpay-key-configuration"},{"title":"Sync Razorpay Payments State","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/razorpay/sync","href":"/api-reference/razorpay-payments/sync-razorpay-payments-state"},{"title":"Configure Razorpay Keys","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml put /api/payments/razorpay/{environment}/config","href":"/api-reference/razorpay-payments/configure-razorpay-keys"},{"title":"Remove Razorpay Keys","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml delete /api/payments/razorpay/{environment}/config","href":"/api-reference/razorpay-payments/remove-razorpay-keys"},{"title":"Sync Razorpay Payments State For One Environment","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/razorpay/{environment}/sync","href":"/api-reference/razorpay-payments/sync-razorpay-payments-state-for-one-environment"},{"title":"Get Razorpay Webhook Setup Values","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/razorpay/{environment}/webhook","href":"/api-reference/razorpay-payments/get-razorpay-webhook-setup-values"},{"title":"Rotate Razorpay Webhook Secret","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/razorpay/{environment}/webhook/rotate-secret","href":"/api-reference/razorpay-payments/rotate-razorpay-webhook-secret"},{"title":"Create Razorpay Order","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/razorpay/{environment}/orders","href":"/api-reference/razorpay-payments/create-razorpay-order"},{"title":"Verify Razorpay Order Payment","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/razorpay/{environment}/orders/verify","href":"/api-reference/razorpay-payments/verify-razorpay-order-payment"},{"title":"List Razorpay Payment Catalog","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/razorpay/{environment}/catalog","href":"/api-reference/razorpay-payments/list-razorpay-payment-catalog"},{"title":"Create Razorpay Item","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/razorpay/{environment}/catalog/items","href":"/api-reference/razorpay-payments/create-razorpay-item"},{"title":"Update Razorpay Item","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml patch /api/payments/razorpay/{environment}/catalog/items/{itemId}","href":"/api-reference/razorpay-payments/update-razorpay-item"},{"title":"Create Razorpay Plan","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/razorpay/{environment}/catalog/plans","href":"/api-reference/razorpay-payments/create-razorpay-plan"},{"title":"List Razorpay Subscriptions","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/razorpay/{environment}/subscriptions","href":"/api-reference/razorpay-payments/list-razorpay-subscriptions"},{"title":"Create Razorpay Subscription","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/razorpay/{environment}/subscriptions","href":"/api-reference/razorpay-payments/create-razorpay-subscription"},{"title":"Verify Razorpay Subscription Authorization","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/razorpay/{environment}/subscriptions/verify","href":"/api-reference/razorpay-payments/verify-razorpay-subscription-authorization"},{"title":"Cancel Razorpay Subscription","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/razorpay/{environment}/subscriptions/{subscriptionId}/cancel","href":"/api-reference/razorpay-payments/cancel-razorpay-subscription"},{"title":"Pause Razorpay Subscription","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/razorpay/{environment}/subscriptions/{subscriptionId}/pause","href":"/api-reference/razorpay-payments/pause-razorpay-subscription"},{"title":"Resume Razorpay Subscription","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/payments/razorpay/{environment}/subscriptions/{subscriptionId}/resume","href":"/api-reference/razorpay-payments/resume-razorpay-subscription"},{"title":"List Razorpay Customers","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/razorpay/{environment}/customers","href":"/api-reference/razorpay-payments/list-razorpay-customers"},{"title":"List Razorpay Transactions","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml get /api/payments/razorpay/{environment}/transactions","href":"/api-reference/razorpay-payments/list-razorpay-transactions"}]},{"group":"Payment Webhooks","pages":[{"title":"Receive Stripe Webhook","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/webhooks/stripe/{environment}","href":"/api-reference/payment-webhooks/receive-stripe-webhook"},{"title":"Receive Razorpay Webhook","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/payments.yaml post /api/webhooks/razorpay/{environment}","href":"/api-reference/payment-webhooks/receive-razorpay-webhook"}]}]},{"group":"Secrets","pages":[{"group":"Admin","pages":[{"title":"List all secrets","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/secrets.yaml get /api/secrets","href":"/api-reference/admin/list-all-secrets"},{"title":"Create a new secret","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/secrets.yaml post /api/secrets","href":"/api-reference/admin/create-a-new-secret"},{"title":"Get secret value","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/secrets.yaml get /api/secrets/{key}","href":"/api-reference/admin/get-secret-value"},{"title":"Update secret","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/secrets.yaml put /api/secrets/{key}","href":"/api-reference/admin/update-secret"},{"title":"Delete secret","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/secrets.yaml delete /api/secrets/{key}","href":"/api-reference/admin/delete-secret"},{"title":"Rotate API key","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/secrets.yaml post /api/secrets/api-key/rotate","href":"/api-reference/admin/rotate-api-key"},{"title":"Rotate anon key","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/secrets.yaml post /api/secrets/anon-key/rotate","href":"/api-reference/admin/rotate-anon-key"}]}]},{"group":"Logs","pages":[{"group":"Admin","pages":[{"title":"List audit logs","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/logs.yaml get /api/logs/audits","href":"/api-reference/admin/list-audit-logs"},{"title":"Clear audit logs","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/logs.yaml delete /api/logs/audits","href":"/api-reference/admin/clear-audit-logs"},{"title":"Get per-source log statistics","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/logs.yaml get /api/logs/stats","href":"/api-reference/admin/get-per-source-log-statistics"},{"title":"Get audit log summary","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/logs.yaml get /api/logs/audits/stats","href":"/api-reference/admin/get-audit-log-summary"},{"title":"List log sources","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/logs.yaml get /api/logs/sources","href":"/api-reference/admin/list-log-sources"},{"title":"Search logs","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/logs.yaml get /api/logs/search","href":"/api-reference/admin/search-logs"},{"title":"Get function build logs","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/logs.yaml get /api/logs/functions/build-logs","href":"/api-reference/admin/get-function-build-logs"},{"title":"Get logs from one source","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/logs.yaml get /api/logs/{source}","href":"/api-reference/admin/get-logs-from-one-source"}]}]},{"group":"Usage","pages":[{"group":"Usage","pages":[{"title":"List MCP usage records","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/usage.yaml get /api/usage/mcp","href":"/api-reference/usage/list-mcp-usage-records"},{"title":"Record MCP tool usage","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/usage.yaml post /api/usage/mcp","href":"/api-reference/usage/record-mcp-tool-usage"},{"title":"Get usage statistics","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/usage.yaml get /api/usage/stats","href":"/api-reference/usage/get-usage-statistics"}]}]},{"group":"Metadata","pages":[{"group":"Admin","pages":[{"title":"Get app metadata","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/metadata.yaml get /api/metadata","href":"/api-reference/admin/get-app-metadata"},{"title":"Get database metadata","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/metadata.yaml get /api/metadata/database","href":"/api-reference/admin/get-database-metadata"},{"title":"Get API key","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/metadata.yaml get /api/metadata/api-key","href":"/api-reference/admin/get-api-key"},{"title":"Get anon key","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/metadata.yaml get /api/metadata/anon-key","href":"/api-reference/admin/get-anon-key"}]}]},{"group":"Health","pages":[{"group":"Client","pages":[{"title":"Health check","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/health.yaml get /api/health","href":"/api-reference/client/health-check"}]}]},{"group":"Deployments","pages":[{"group":"Admin","pages":[{"title":"List deployments","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml get /api/deployments","href":"/api-reference/admin/list-deployments"},{"title":"Create legacy deployment session (deprecated)","deprecated":true,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml post /api/deployments","href":"/api-reference/admin/create-legacy-deployment-session-deprecated"},{"title":"Create direct-upload deployment session","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml post /api/deployments/direct","href":"/api-reference/admin/create-direct-upload-deployment-session"},{"title":"Get deployment metadata","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml get /api/deployments/metadata","href":"/api-reference/admin/get-deployment-metadata"},{"title":"Update InsForge-hosted slug","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml put /api/deployments/slug","href":"/api-reference/admin/update-insforge-hosted-slug"},{"title":"List deployment environment variables","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml get /api/deployments/env-vars","href":"/api-reference/admin/list-deployment-environment-variables"},{"title":"Create or update deployment environment variables","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml post /api/deployments/env-vars","href":"/api-reference/admin/create-or-update-deployment-environment-variables"},{"title":"Get deployment environment variable","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml get /api/deployments/env-vars/{id}","href":"/api-reference/admin/get-deployment-environment-variable"},{"title":"Delete deployment environment variable","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml delete /api/deployments/env-vars/{id}","href":"/api-reference/admin/delete-deployment-environment-variable"},{"title":"List custom domains","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml get /api/deployments/domains","href":"/api-reference/admin/list-custom-domains"},{"title":"Add custom domain","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml post /api/deployments/domains","href":"/api-reference/admin/add-custom-domain"},{"title":"Verify custom domain","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml post /api/deployments/domains/{domain}/verify","href":"/api-reference/admin/verify-custom-domain"},{"title":"Remove custom domain","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml delete /api/deployments/domains/{domain}","href":"/api-reference/admin/remove-custom-domain"},{"title":"Get deployment","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml get /api/deployments/{id}","href":"/api-reference/admin/get-deployment"},{"title":"Upload direct deployment file content","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml put /api/deployments/{id}/files/{fileId}/content","href":"/api-reference/admin/upload-direct-deployment-file-content"},{"title":"Start deployment","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml post /api/deployments/{id}/start","href":"/api-reference/admin/start-deployment"},{"title":"Sync deployment status","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml post /api/deployments/{id}/sync","href":"/api-reference/admin/sync-deployment-status"},{"title":"Cancel deployment","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml post /api/deployments/{id}/cancel","href":"/api-reference/admin/cancel-deployment"}]}]},{"group":"Dashboard","pages":[{"group":"Dashboard","pages":[{"title":"Dashboard event stream","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/dashboard.yaml get /api/dashboard/events","href":"/api-reference/dashboard/dashboard-event-stream"}]}]}]}]},{"language":"zh","tabs":[{"tab":"文档","pages":[{"title":"文档","href":"/zh/introduction"}]},{"tab":"SDK 与示例","pages":[{"title":"SDK 与示例","href":"/zh/sdks/typescript/overview"}]},{"tab":"API 参考","groups":[{"group":"Tables","pages":[{"group":"Admin","pages":[{"title":"List Tables","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/tables.yaml get /api/database/tables","href":"/api-reference/admin/list-tables"},{"title":"Create Table","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/tables.yaml post /api/database/tables","href":"/api-reference/admin/create-table"},{"title":"Get Table Schema","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/tables.yaml get /api/database/tables/{tableName}/schema","href":"/api-reference/admin/get-table-schema"},{"title":"Update Table Schema","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/tables.yaml patch /api/database/tables/{tableName}/schema","href":"/api-reference/admin/update-table-schema"},{"title":"Delete Table","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/tables.yaml delete /api/database/tables/{tableName}","href":"/api-reference/admin/delete-table"},{"title":"List Database Migrations","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/tables.yaml get /api/database/migrations","href":"/api-reference/admin/list-database-migrations"},{"title":"Create and Execute Database Migration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/tables.yaml post /api/database/migrations","href":"/api-reference/admin/create-and-execute-database-migration"}]}]},{"group":"Schedules","pages":[{"group":"Admin","pages":[{"title":"List schedules","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/schedules.yaml get /api/schedules","href":"/api-reference/admin/list-schedules"},{"title":"Create schedule","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/schedules.yaml post /api/schedules","href":"/api-reference/admin/create-schedule"},{"title":"Get schedules configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/schedules.yaml get /api/schedules/config","href":"/api-reference/admin/get-schedules-configuration"},{"title":"Update schedules configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/schedules.yaml patch /api/schedules/config","href":"/api-reference/admin/update-schedules-configuration"},{"title":"Get schedule by ID","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/schedules.yaml get /api/schedules/{id}","href":"/api-reference/admin/get-schedule-by-id"},{"title":"Delete schedule","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/schedules.yaml delete /api/schedules/{id}","href":"/api-reference/admin/delete-schedule"},{"title":"Update schedule","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/schedules.yaml patch /api/schedules/{id}","href":"/api-reference/admin/update-schedule"},{"title":"Get execution logs for a schedule","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/schedules.yaml get /api/schedules/{id}/logs","href":"/api-reference/admin/get-execution-logs-for-a-schedule"}]}]},{"group":"身份认证","pages":[{"group":"Client","pages":[{"title":"Get public authentication configuration","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/public-config","href":"/api-reference/client/get-public-authentication-configuration"},{"title":"Update current user's profile","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml patch /api/auth/profiles/current","href":"/api-reference/client/update-current-users-profile"},{"title":"Get user profile by ID","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/profiles/{userId}","href":"/api-reference/client/get-user-profile-by-id"},{"title":"Register new user","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/users","href":"/api-reference/client/register-new-user"},{"title":"User login","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/sessions","href":"/api-reference/client/user-login"},{"title":"Refresh access token","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/refresh","href":"/api-reference/client/refresh-access-token"},{"title":"Logout user","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/logout","href":"/api-reference/client/logout-user"},{"title":"Get current session","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/sessions/current","href":"/api-reference/client/get-current-session"},{"title":"Send an email sign-in OTP","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/email/send-otp","href":"/api-reference/client/send-an-email-sign-in-otp"},{"title":"Send email verification (code or link based on config)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/email/send-verification","href":"/api-reference/client/send-email-verification-code-or-link-based-on-config"},{"title":"Verify email from browser link click","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/email/verify-link","href":"/api-reference/client/verify-email-from-browser-link-click"},{"title":"Verify email with code","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/email/verify","href":"/api-reference/client/verify-email-with-code"},{"title":"Send password reset (code or link based on config)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/email/send-reset-password","href":"/api-reference/client/send-password-reset-code-or-link-based-on-config"},{"title":"Exchange reset password code for reset token","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/email/exchange-reset-password-token","href":"/api-reference/client/exchange-reset-password-code-for-reset-token"},{"title":"Open password reset flow from browser link click","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/email/reset-password-link","href":"/api-reference/client/open-password-reset-flow-from-browser-link-click"},{"title":"Reset password with token","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/email/reset-password","href":"/api-reference/client/reset-password-with-token"},{"title":"Initiate OAuth flow (PKCE)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/oauth/{provider}","href":"/api-reference/client/initiate-oauth-flow-pkce"},{"title":"Exchange OAuth code for tokens (PKCE)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml post /api/auth/oauth/exchange","href":"/api-reference/client/exchange-oauth-code-for-tokens-pkce"},{"title":"Shared OAuth callback handler","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/oauth/shared/callback/{state}","href":"/api-reference/client/shared-oauth-callback-handler"},{"title":"Provider-specific OAuth callback (GET)","deprecated":null,"version":null,"openapi":"https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/auth.yaml get /api/auth/oauth/{provider}/callback","href":"/api-reference/client/provider-specific-oauth-callback-get"},{"title":"Provider-specific OAuth callback (POST)","deprecated":null,"version":null,"openapi":"h
[...]
